MPEG_MUSICIN(1)

NAME
mpeg_musicin - MPEG/audio Layer 1 and Layer 2 decoder

SYNOPSIS
mpeg_musicin queries for all arguments, or
mpeg_musicin [-l lay]
[-m mode]
[-p psy]
[-s sfrq]
[-b br]
[-d emp]
[-c]
[-o]
[-e]
inputCM
[outBS]

DESCRIPTION
The encoder and decoder software are configured to output the coded audio bitstreams as a string of hexadecimal ascii characters. For greater compression efficiency, compile flag, BS_FORMAT, in common.h can be switched to configure the bitstream reading and writing routines to process raw binary bitstreams.
The decoder program has a very crude implementation of bitstream synchword detection. It may not be able to correctly decode valid bitstreams which have false synchword patterns in the ancillary data portion of the bitstream.

RESTRICTIONS
The software implements levels I and II and psychophysical auditory models I and II as described in the ISO 3-11171 rev 1 standard. There are future plans to implement level III.
The input/output audio data may either be headerless raw 16 bit data or alternatively an AIFF formatted file (Audio Interchange File Format) with certain limitations.
For more information on the AIFF format see the postscript file /sgi/aiff-c.9.26.91.ps at the anonymous ftp site FTP.SGI.COM (192.48.153.1).
The AIFF formatted file is a convenient way for storing sampling rate of the audio file.
The encoder and decoder software are configured to output the coded audio bitstreams as a string of hexadecimal ascii characters. For greater compression efficiency, compile flag, BS_FORMAT, in common.h can be switched to configure the bitstream reading and writing routines to process raw binary bitstreams.
This software has been run and verified on a large variety of computers and operating systems. In particular UNIX, MS_DOS (with MicroSoft C version 6), Macintosh, AIX Platform (RS6000) and Convex.

OPTIONS

-l lay
    use layer <lay> coding (default: 2)

-m mode
    channel mode : s/d/j/m (default: s)

-p psy
    psychoacoustic model 1/2 (default: 2)

-s sfrq
    input smpl rate in kHz (default: 44.1)

-b br
    total bitrate in kbps (default: 384)

-d emp
    de-emphasis n/5/c (default: n)

-c  mark as copyright

-o  mark as original

-e  add error protection

inputPCM
    input PCM sound file (standard or AIFF)

outBS
    output bit stream of encoded audio (dflt inName+.mpg)

SEE ALSO
mpeg_musicout(1)

HISTORY
Written by Andreas Klemm, August 17, 1997